hie-bios-0.14.0: Set up a GHC API session

Safe Haskell | None
Language | Haskell2010

HIE.Bios.Flags

Synopsis

- getCompilerOptions :: FilePath -> LoadStyle -> Cradle a -> IO (CradleLoadResult ComponentOptions)

# Documentation

getCompilerOptions #

Arguments

:: FilePath | The file we are loading it because of
-> LoadStyle | previous files we might want to include in the build
-> Cradle a |
-> IO (CradleLoadResult ComponentOptions) |

Initialize the `DynFlags` relating to the compilation of a single file or GHC session according to the provided `Cradle`.